A Customer token generated using an API Key in the format 'Customer TOKEN_HERE'.
Query parameters
currencystringOptional
The ISO three-letter lowercase currency code (e.g., usd, eur, gbp) to display prices in. If not provided, the store's default currency will be used.
Header parameters
x-paynow-customer-ipstring · ipv4Optional
The IP address (IPv4 or IPv6) of the customer. Required if the request is not being made from the customer's browser.
x-paynow-customer-countrycodestringOptional
The customer's country code in ISO 3166-1 alpha-2 format. Optional, but recommended if you have this available.
Pattern: ^[A-Z]{2}$
Responses
200
OK
application/json
default
Error response
application/json
get
/v1/store/cart
Clear cart
delete
Clears all items from the customer's shopping cart.
Authorizations
AuthorizationstringRequired
A Customer token generated using an API Key in the format 'Customer TOKEN_HERE'.
Header parameters
x-paynow-customer-ipstring · ipv4Optional
The IP address (IPv4 or IPv6) of the customer. Required if the request is not being made from the customer's browser.
x-paynow-customer-countrycodestringOptional
The customer's country code in ISO 3166-1 alpha-2 format. Optional, but recommended if you have this available.
Pattern: ^[A-Z]{2}$
Responses
204
No Content
default
Error response
application/json
delete
/v1/store/cart
No content
Add product to cart
put
Adds a product to the cart or updates the quantity of an existing product. When increment parameter is "true" or "1", the specified quantity will be added to any existing quantity. Otherwise, the quantity will be set to the specified value, replacing any existing quantity.
Authorizations
AuthorizationstringRequired
A Customer token generated using an API Key in the format 'Customer TOKEN_HERE'.
Query parameters
product_idstring · flake-idRequired
The ID of the product that should be added to the cart.
Example: 411486491630370816
quantityinteger · int32Optional
The quantity to set or increment.
subscriptionstringOptional
Set to either '1' or 'true' to store as a subscription line item.
trialstringOptional
Set to either '1' or 'true' to indicate if the line should be trialed.
gameserver_idstring · flake-idOptional
A game server ID, required if single_game_server_only is enabled for the product.
Example: 411486491630370816
incrementstringOptional
Set to either '1' or 'true' to increment (add quantity instead of setting).
gift_to_customer_idstring · flake-idOptional
The ID of the customer in which this line is a gift for.
Example: 411486491630370816
gift_to.platformstring · enumOptional
The platform type
Example: SteamPossible values:
gift_to.idstringOptional
The account ID on the platform
Example: 76561198152492642
Header parameters
x-paynow-customer-ipstring · ipv4Optional
The IP address (IPv4 or IPv6) of the customer. Required if the request is not being made from the customer's browser.
x-paynow-customer-countrycodestringOptional
The customer's country code in ISO 3166-1 alpha-2 format. Optional, but recommended if you have this available.
Pattern: ^[A-Z]{2}$
Responses
204
No Content
default
Error response
application/json
put
/v1/store/cart/lines
No content
Create a cart checkout session
post
Creates a checkout session from the contents of the cart. After creating the checkout session, redirect the customer to the url returned.
Authorizations
AuthorizationstringRequired
A Customer token generated using an API Key in the format 'Customer TOKEN_HERE'.
Header parameters
x-paynow-customer-ipstring · ipv4Optional
The IP address (IPv4 or IPv6) of the customer. Required if the request is not being made from the customer's browser.
x-paynow-customer-countrycodestringOptional
The customer's country code in ISO 3166-1 alpha-2 format. Optional, but recommended if you have this available.
Pattern: ^[A-Z]{2}$
Body
Request to create a new checkout session from a cart